# VideoHandler (Crawler-commons 1.3 API)

Package crawlercommons.sitemaps.sax.extension

## Class VideoHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - crawlercommons.sitemaps.sax.extension.ExtensionHandler
    - - crawlercommons.sitemaps.sax.extension.VideoHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

    public class VideoHandler
    extends ExtensionHandler

Handle SAX events in the Google Video sitemap extension namespace.

### Field Summary

### Fields inherited from class crawlercommons.sitemaps.sax.extension.ExtensionHandler

`attributes, commaSeparated`

### Constructor Summary

Constructors
`VideoHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `characters​(char[] ch, int start, int length)`
`void` `endElement​(String uri, String localName, String qName)`
`ExtensionMetadata[]` `getAttributes()`
`void` `reset()`
`void` `startElement​(String uri, String localName, String qName, Attributes attributes)`

### Methods inherited from class crawlercommons.sitemaps.sax.extension.ExtensionHandler

`create, getDateValue, getFloatValue, getIntegerValue, getURLValue, getYesNoBooleanValue`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VideoHandler

    public VideoHandler()

### Method Detail

#### reset

    public void reset()

Overrides:
  `reset` in class `ExtensionHandler`

#### startElement

    public void startElement​(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Throws:
  `SAXException`

#### endElement

    public void endElement​(String uri,
                           String localName,
                           String qName)
                    throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Throws:
  `SAXException`

#### characters

    public void characters​(char[] ch,
                           int start,
                           int length)
                    throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`
Throws:
  `SAXException`

#### getAttributes

    public ExtensionMetadata[] getAttributes()

Overrides:
  `getAttributes` in class `ExtensionHandler`